<div class="mat-elevation-z8A ">
    <table mat-table [dataSource]="dataSource" class="w-100 pointer">
  
      <!-- Columns -->
      <ng-container *ngFor="let col of displayedColumns['col']">
        <ng-container matColumnDef="{{ col }}">
          <!-- bg-light text_darkmode -->
          <th mat-header-cell *matHeaderCellDef class="header fs15 bg-light text_darkmode"> {{ displayedColumns['display'][col] }}</th>
          <td mat-cell *matCellDef="let element" class="value fs15 bg-light text_darkmode"> {{element[col]}} </td>
        </ng-container>
      </ng-container>
    
      <tr mat-header-row *matHeaderRowDef="displayedColumns['col']"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns['col'];" (click)="handleCommessaSelection(row.wbs)"></tr>
    </table>
  
    <mat-paginator  class="fs15 bg-light text_darkmode"
                    style="z-index:9999999"
                    [pageSizeOptions]="[5, 10, 20]"
                    showFirstLastButtons 
                    aria-label="Lista di Commesse">
    </mat-paginator>
  </div>